<section class="login">

  <div class="card-main">
    <div class="card" [ngClass]="{'flip':pageCadastro}">
      <div class="login-in">
        <h2>Login</h2>
        <form class="example-form" [formGroup]="loginFG" (ngSubmit)="login()">
          <div class="row">
            <div class="col-12">
              <mat-form-field class="w-100">
                <mat-label>E-mail</mat-label>
                <mat-icon matPrefix>mail</mat-icon>
                <input matInput placeholder="email@email.com.br" formControlName="email">
              </mat-form-field>
            </div>
            <div class="col-12">
              <mat-form-field class="w-100">
                <mat-label>Senha</mat-label>
                <mat-icon matPrefix>key</mat-icon>
                <input type="password" matInput placeholder="*********" formControlName="password">
              </mat-form-field>
            </div>
            <div class="col-12">
              <button mat-raised-button class="w-100" color="primary">Login</button>

              <div class="cadastro" (click)="changePage()">
                Cadastrar
              </div>
            </div>
          </div>
        </form>
      </div>
      <div class="cadastro-in">
        <h2>Cadastro</h2>
        <form class="example-form" [formGroup]="cadastroFG" (ngSubmit)="cadastro()">
          <div class="row">
            <div class="col-12">
              <mat-form-field class="w-100">
                <mat-label>Nome</mat-label>
                <mat-icon matPrefix>person</mat-icon>
                <input matInput placeholder="Nome completo" formControlName="name">
              </mat-form-field>
            </div>
            <div class="col-12">
              <mat-form-field class="w-100">
                <mat-label>E-mail</mat-label>
                <mat-icon matPrefix>mail</mat-icon>
                <input matInput placeholder="email@email.com.br" formControlName="email">
              </mat-form-field>
            </div>
            <div class="col-12">
              <mat-form-field class="w-100">
                <mat-label>Senha</mat-label>
                <mat-icon matPrefix>key</mat-icon>
                <input type="password" matInput placeholder="*********" formControlName="password">
              </mat-form-field>
            </div>
            <div class="col-12">
              <button mat-raised-button class="w-100" color="primary" [disabled]="cadastroFG.invalid">Cadastrar</button>
              <div class="cadastro" (click)="changePage()">
                Login
              </div>
            </div>
          </div>
        </form>
      </div>
    </div>

  </div>
</section>
